LinuxQMISDK: voiceSetAllCallStatusCbkInfo Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
voiceSetAllCallStatusCbkInfo Struct Reference

## Data Fields
arrCallInfo | arrCallInfomation
arrRemotePartyNum * | pArrRemotePartyNum
arrRemotePartyName * | pArrRemotePartyName
arrAlertingType * | pArrAlertingType
arrSvcOption * | pArrSvcOption
arrCallEndReason * | pArrCallEndReason
arrAlphaID * | pArrAlphaID
arrConnectPartyNum * | pArrConnectPartyNum
arrDiagInfo * | pArrDiagInfo
arrCalledPartyNum * | pArrCalledPartyNum
arrRedirPartyNum * | pArrRedirPartyNum
arrAlertingPattern * | pArrAlertingPattern

## Detailed Description

This structure contains VoiceCall Information parameters. arrCallInfomation will be populated in case of change in the call information. Other paramters are optional therefore are populated based on device and technology type being used.

Parameters

  arrCallInfomation | [mandatory] Array of Call Information This must be populated if Indication is received See arrCallInfo for more information. Applicable for both "3GPP/3GPP2"
  pArrRemotePartyNum | [optional] Array of Remote Party Name.( NULL when not present) See arrRemotePartyNum for more information. Applicable only for "3GPP/3GPP2"
  pArrRemotePartyName | [optional] Array of Alerting Type.( NULL when not present) See arrRemotePartyName for more information. Applicable only for "3GPP"
  pArrAlertingType | [optional] Array of Alerting Type( NULL when not present) See arrAlertingType for more information. Applicable only for "3GPP"
  pArrSvcOption | [optional] Array of Service Option.(NULL when not present) See arrSvcOption for more information. Applicable only for "3GPP"
  pArrCallEndReason | [optional] Array of Call End Reason.( NULL when not present) See arrCallEndReason for more information. Applicable only for "3GPP"
  pArrAlphaID | [optional] Array of Alpha Identifier( NULL when not present) See arrAlphaID for more information. Applicable only for "3GPP"
  pArrConnectPartyNum | [optional] Array of Connected Party Number.( NULL when not present) See arrConnectPartyNum for more information. Applicable for both "3GPP/3GPP2"
  pArrDiagInfo | [optional] Array of Diagnostic Information.( NULL when not present) See arrDiagInfo for more information. Applicable only for "3GPP"
  pArrCalledPartyNum | [optional] Array of Called Party Number.( NULL when not present) See arrCalledPartyNum for more information. Applicable only for "3GPP"
  pArrRedirPartyNum | [optional] Array of Redirecting Party Number.( NULL when not present) See arrRedirPartyNum for more information. Applicable only for "3GPP"
  pArrAlertingPattern | [optional] Array of Alerting Pattern.( NULL when not present) See arrAlertingPattern for more information. Applicable only for "3GPP"

Note
  Optional paramters would be NULL, if not received from the device.

## Field Documentation

arrCallInfo voiceSetAllCallStatusCbkInfo::arrCallInfomation

arrAlertingPattern* voiceSetAllCallStatusCbkInfo::pArrAlertingPattern

arrAlertingType* voiceSetAllCallStatusCbkInfo::pArrAlertingType

arrAlphaID* voiceSetAllCallStatusCbkInfo::pArrAlphaID

arrCalledPartyNum* voiceSetAllCallStatusCbkInfo::pArrCalledPartyNum

arrCallEndReason* voiceSetAllCallStatusCbkInfo::pArrCallEndReason

arrConnectPartyNum* voiceSetAllCallStatusCbkInfo::pArrConnectPartyNum

arrDiagInfo* voiceSetAllCallStatusCbkInfo::pArrDiagInfo

arrRedirPartyNum* voiceSetAllCallStatusCbkInfo::pArrRedirPartyNum

arrRemotePartyName* voiceSetAllCallStatusCbkInfo::pArrRemotePartyName

arrRemotePartyNum* voiceSetAllCallStatusCbkInfo::pArrRemotePartyNum

arrSvcOption* voiceSetAllCallStatusCbkInfo::pArrSvcOption